View Issue Details

IDProjectCategoryView StatusLast Update
16433Bug reportsImport/Exportpublic2020-07-03 08:47
Reportersegui Assigned Toollehar  
PrioritynoneSeverityblock 
Status closedResolutionno change required 
Product Version3.22.21 
Summary16433: Malformed xml file when exporting as .lss
Description

After exporting a survey structure as .lss, and trying to re-imported it back, the import fails with the error:

"This is not a valid LimeSurvey survey structure XML file".

When running an xml validator in the exported file, it finds the misplaced </documents> tag, but it seems to be more to it because there are still problems when importing the file with the </documents> tag at the end (Groups and questions don't show).

Versions 3.22.22+200625 and 3.22.23+200626 have been released after, but there is no mention of this issue being fixed in their changelogs. I also don't see it reported here in the bug tracker (but please let me know if I missed it).

Thanks!

Ginet

Steps To Reproduce
  • Export survey structure as .lss
  • Attempt to import the exported .lss file on the same LimeSurvey system
  • The error "This is not a valid LimeSurvey survey structure XML file" appears
TagsNo tags attached.
Complete LimeSurvey version number (& build)3.22.21 build 200622
I will donate to the project if issue is resolvedNo
BrowserGoogle Chrome 83.0.4103.106 (Official Build) (64-bit)
Database & DB-Versionmysql 15.1 Distrib 5.5.64-MariaDB, for Linux (x86_64) using readline 5.1
Server OS (if known)Red Hat Enterprise Linux Server release 7.7 (Maipo)
Webserver software & version (if known)apache 2.4
PHP Version7.2.10

Relationships

has duplicate 16456 closed Can't create a survey from Copy or Import 

Activities

JonnySpitzner

JonnySpitzner

2020-06-29 10:27

reporter   ~58535

I have the same problem with 4.3.1 (200623)

cdorin

cdorin

2020-06-29 14:59

manager   ~58545

@ollehar, know anything about this issue?

ollehar

ollehar

2020-06-29 15:00

administrator   ~58546

Last edited: 2020-06-29 15:00

View 2 revisions

It's resolved. Update and redo the lss export, please.

segui

segui

2020-06-29 15:20

reporter   ~58549

Hello @ollehar,

Thank you for the quick response. Do you mean this is fixed in 4.3.2+200629? I am running the 3.x LTS, is there going to be a release with the fix for 3.x today as well?

Thank you,

Ginet

ollehar

ollehar

2020-06-29 15:21

administrator   ~58550

Last edited: 2020-06-29 15:21

View 2 revisions

It's fixed in both versions, LTS and LS4. The fix has already been released.

segui

segui

2020-06-29 15:22

reporter   ~58551

Great!! I don't see it here though... :-/

https://www.limesurvey.org/lts-releases-download

Ginet

ollehar

ollehar

2020-06-29 15:24

administrator   ~58554

Should work with 3.22.23+200626.

ollehar

ollehar

2020-06-29 15:26

administrator   ~58555

Btw, this is the new download page: https://community.limesurvey.org/downloads/

segui

segui

2020-06-29 15:31

reporter   ~58556

Thanks @ollehar! I'll give 3.22.23+200626 a try today and report back.

Ginet

ollehar

ollehar

2020-06-29 15:34

administrator   ~58557

Sounds good :)

segui

segui

2020-06-29 16:14

reporter   ~58559

Confirmed: exports in .lss and .lsa are being correctly generated in 3.22.24+200630.

Thanks again!

Ginet

Issue History

Date Modified Username Field Change
2020-06-26 17:26 segui New Issue
2020-06-29 10:27 JonnySpitzner Note Added: 58535
2020-06-29 14:59 cdorin Note Added: 58545
2020-06-29 15:00 ollehar Note Added: 58546
2020-06-29 15:00 ollehar Assigned To => ollehar
2020-06-29 15:00 ollehar Status new => closed
2020-06-29 15:00 ollehar Resolution open => no change required
2020-06-29 15:00 ollehar Note Edited: 58546 View Revisions
2020-06-29 15:20 segui Note Added: 58549
2020-06-29 15:21 ollehar Note Added: 58550
2020-06-29 15:21 ollehar Note Edited: 58550 View Revisions
2020-06-29 15:22 segui Note Added: 58551
2020-06-29 15:24 ollehar Note Added: 58554
2020-06-29 15:26 ollehar Note Added: 58555
2020-06-29 15:31 segui Note Added: 58556
2020-06-29 15:34 ollehar Note Added: 58557
2020-06-29 16:14 segui Note Added: 58559
2020-07-03 08:47 DenisChenu Relationship added has duplicate 16456